<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_211) on Fri May 03 19:11:22 MSK 2019 -->
<title>FilmTriangle</title>
<meta name="date" content="2019-05-03">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FilmTriangle";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ru/mail/korneva/figure/FilmRectangle.html" title="class in ru.mail.korneva.figure"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ru/mail/korneva/figure/PaperCircle.html" title="class in ru.mail.korneva.figure"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ru/mail/korneva/figure/FilmTriangle.html" target="_top">Frames</a></li>
<li><a href="FilmTriangle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.ru.mail.korneva.figure.Triangle">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ru.mail.korneva.figure</div>
<h2 title="Class FilmTriangle" class="title">Class FilmTriangle</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../ru/mail/korneva/figure/Figure.html" title="class in ru.mail.korneva.figure">ru.mail.korneva.figure.Figure</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../ru/mail/korneva/figure/Triangle.html" title="class in ru.mail.korneva.figure">ru.mail.korneva.figure.Triangle</a></li>
<li>
<ul class="inheritance">
<li>ru.mail.korneva.figure.FilmTriangle</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../ru/mail/korneva/film/IFilm.html" title="interface in ru.mail.korneva.film">IFilm</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FilmTriangle</span>
extends <a href="../../../../ru/mail/korneva/figure/Triangle.html" title="class in ru.mail.korneva.figure">Triangle</a>
implements <a href="../../../../ru/mail/korneva/film/IFilm.html" title="interface in ru.mail.korneva.film">IFilm</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/figure/FilmTriangle.html#FilmTriangle-double-">FilmTriangle</a></span>(double&nbsp;triangleSide)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ru/mail/korneva/figure/FilmTriangle.html#FilmTriangle-ru.mail.korneva.figure.Figure-">FilmTriangle</a></span>(<a href="../../../../ru/mail/korneva/figure/Figure.html" title="class in ru.mail.korneva.figure">Figure</a>&nbsp;filmFigure)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.ru.mail.korneva.figure.Triangle">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;ru.mail.korneva.figure.<a href="../../../../ru/mail/korneva/figure/Triangle.html" title="class in ru.mail.korneva.figure">Triangle</a></h3>
<code><a href="../../../../ru/mail/korneva/figure/Triangle.html#equals-java.lang.Object-">equals</a>, <a href="../../../../ru/mail/korneva/figure/Triangle.html#getArea--">getArea</a>, <a href="../../../../ru/mail/korneva/figure/Triangle.html#getMinSize--">getMinSize</a>, <a href="../../../../ru/mail/korneva/figure/Triangle.html#getPerimeter--">getPerimeter</a>, <a href="../../../../ru/mail/korneva/figure/Triangle.html#getTriangleleSide--">getTriangleleSide</a>, <a href="../../../../ru/mail/korneva/figure/Triangle.html#hashCode--">hashCode</a>, <a href="../../../../ru/mail/korneva/figure/Triangle.html#toString--">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FilmTriangle-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FilmTriangle</h4>
<pre>public&nbsp;FilmTriangle(double&nbsp;triangleSide)</pre>
</li>
</ul>
<a name="FilmTriangle-ru.mail.korneva.figure.Figure-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FilmTriangle</h4>
<pre>public&nbsp;FilmTriangle(<a href="../../../../ru/mail/korneva/figure/Figure.html" title="class in ru.mail.korneva.figure">Figure</a>&nbsp;filmFigure)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ru/mail/korneva/figure/FilmRectangle.html" title="class in ru.mail.korneva.figure"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ru/mail/korneva/figure/PaperCircle.html" title="class in ru.mail.korneva.figure"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ru/mail/korneva/figure/FilmTriangle.html" target="_top">Frames</a></li>
<li><a href="FilmTriangle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.ru.mail.korneva.figure.Triangle">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
